"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Page = exports.Container = exports.Wrap = void 0;
const styled_components_1 = __importStar(require("styled-components"));
const Wrap = styled_components_1.default.div `
  display: flex;
  justify-content: flex-end;
  margin: 18px 0px 10px;
  font-size: 13px;
  font-weight: 500;
`;
exports.Wrap = Wrap;
const Container = styled_components_1.default.div `
  display: inline-block;

  min-width: 24px;
  height: 24px;
`;
exports.Container = Container;
const Page = styled_components_1.default.div `
  display: inline-flex;
  justify-content: center;
  align-items: center;

  width: 24px;
  height: 24px;

  background-color: ${({ theme }) => theme.lib.colors.secondary.wildSand};
  color: ${({ theme }) => theme.lib.colors.primary.shuttleGray};
  border-radius: 3px;
  margin: 0px 2px;
  user-select: none;
  cursor: pointer;
  &:first-child {
    margin-left: 0px;
  }
  &:last-child {
    margin-right: 0px;
  }

  transition: background-color 0.4s ease, color 0.4s;

  ${(props) => props.active &&
    styled_components_1.css `
      background-color: ${({ theme }) => theme.lib.colors.primary.shuttleGray};
      color: ${({ theme }) => theme.lib.colors.secondary.white};
    `}
  &:hover {
    background-color: ${({ theme }) => theme.lib.colors.grayScale.doveGray};
    color: ${({ theme }) => theme.lib.colors.secondary.white};
  }
`;
exports.Page = Page;
//# sourceMappingURL=styles.js.map