"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Option = exports.Container = void 0;
const styled_components_1 = __importDefault(require("styled-components"));
const Container = styled_components_1.default.select `
  transition: 0.25s all;
  width: 100%;
  height: 2.125rem;
  background: ${(props) => props.theme.lib.colors.secondary.alabaster};
  border-radius: 4px;
  border: 2px solid ${(props) => props.theme.lib.colors.secondary.wildSand};
  color: ${(props) => props.theme.lib.colors.grayScale.doveGray};
  padding: 0rem 0.35rem;

  &:focus {
    outline: none;
  }
`;
exports.Container = Container;
const Option = styled_components_1.default.option `
  display: block;
  transition: 0.25s all;
  font-family: Roboto, sans-serif;
  font-style: normal;
  font-weight: normal;
  font-size: 14px;
`;
exports.Option = Option;
//# sourceMappingURL=styles.js.map