"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.AccordionOutline = void 0;
const react_1 = __importStar(require("react"));
const ri_1 = require("react-icons/ri");
const styles_1 = require("./styles");
const core_1 = require("@material-ui/core");
const themes_1 = __importDefault(require("../../themes"));
exports.AccordionOutline = (_a) => {
    var { id, columns, children, active, id_robot } = _a, rest = __rest(_a, ["id", "columns", "children", "active", "id_robot"]);
    const [open, setOpen] = react_1.useState(false);
    react_1.useEffect(() => {
        if (active !== undefined) {
            setOpen(active);
        }
    }, [active]);
    return (react_1.default.createElement(themes_1.default, { id_robot: id_robot },
        react_1.default.createElement(core_1.Table, null,
            react_1.default.createElement(styles_1.TableRowPrimary, Object.assign({ onClick: () => setOpen(!open), key: `row-primary-${id}` }, rest),
                columns.map((column, index) => (react_1.default.createElement(core_1.TableCell, { key: `col-${id}-${index}`, id: `col-${id}-${index}` },
                    ' ',
                    column,
                    ' '))),
                react_1.default.createElement(core_1.TableCell, { key: `col-detail-${id}`, align: 'right' },
                    react_1.default.createElement(styles_1.DetailAction, { startIcon: open ? react_1.default.createElement(ri_1.RiArrowUpSLine, null) : react_1.default.createElement(ri_1.RiArrowDownSLine, null) }, "Detalhe"))),
            react_1.default.createElement(styles_1.TableRowDetail, { "data-testid": "row-detail-active", key: `detail-${id}`, active: String(open), id: `detail-${id}` },
                react_1.default.createElement(styles_1.TableCellDetail, { key: `detail-col-${id}`, colSpan: columns.length + 1 },
                    react_1.default.createElement(core_1.Collapse, { in: open, timeout: "auto", unmountOnExit: true }, children))))));
};
//# sourceMappingURL=AccordionOutline.js.map