"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Image = exports.Text = exports.Container = void 0;
const styled_components_1 = __importDefault(require("styled-components"));
const Container = styled_components_1.default.div `
  grid-area: infoProduct;
`;
exports.Container = Container;
const Image = styled_components_1.default.div `
  width: 33px;
  height: 33px;
  background-image: url(${(props) => props.image});
  background-size: cover;
  background-repeat: no-repeat;
  border: none;
`;
exports.Image = Image;
const Text = styled_components_1.default.p `
  color: ${(props) => props.theme.lib.colors.primary.shuttleGray};
  font-family: Roboto, sans-serif;
  font-style: normal;
  font-weight: 700;
  font-size: 16px;
  line-height: 19px;
  margin-left: 1rem;
`;
exports.Text = Text;
//# sourceMappingURL=styles.js.map