"use strict";
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.MountTrack = void 0;
const react_1 = __importDefault(require("react"));
const themes_1 = __importDefault(require("../../themes"));
const styles_1 = require("./styles");
const RenderStep = (_a) => {
    var { steps, color = 'default', currentIndex = 0 } = _a, rest = __rest(_a, ["steps", "color", "currentIndex"]);
    return (react_1.default.createElement(styles_1.Wrap, Object.assign({}, rest), steps.map((stepItem, index) => (react_1.default.createElement(styles_1.StepContainer, { key: stepItem.key || index, stepIndex: index, currentIndex: currentIndex, color: color },
        react_1.default.createElement(styles_1.StepText, null, stepItem.topInfo),
        react_1.default.createElement(styles_1.StepTrace, { iconCheck: stepItem.iconCheck }, stepItem.icon),
        react_1.default.createElement(styles_1.StepText, null, stepItem.bottomInfo))))));
};
exports.MountTrack = (_a) => {
    var { steps, color, currentIndex } = _a, rest = __rest(_a, ["steps", "color", "currentIndex"]);
    return (react_1.default.createElement(themes_1.default, Object.assign({}, rest),
        react_1.default.createElement(styles_1.Container, null,
            react_1.default.createElement(RenderStep, { steps: steps, color: color, currentIndex: currentIndex }))));
};
//# sourceMappingURL=MountTrack.js.map