/// <reference types="react" />
import { IRobot } from '../../utils/types/robot';
export interface IProps extends IRobot {
    steps: IStep[];
    currentIndex?: number;
    color?: Color;
    iconCheck?: boolean;
}
export interface IStep {
    topInfo?: string | JSX.Element;
    bottomInfo: string | JSX.Element;
    icon?: JSX.Element;
    key?: number | string;
    iconCheck?: boolean;
}
export interface IStepTextProps {
    iconCheck?: boolean;
}
export interface IStepContainerProps {
    currentIndex: number;
    stepIndex: number;
    color: Color;
}
export declare type Color = 'default' | 'green' | 'red' | 'blue';
//# sourceMappingURL=types.d.ts.map