"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Tab = exports.ContentTabs = exports.ButtonTab = exports.TabNav = exports.Container = void 0;
const styled_components_1 = __importStar(require("styled-components"));
exports.Container = styled_components_1.default.div.attrs(({ id_robot }) => ({
    id_robot,
})) `
  display: flex;
  flex-direction: column;
  position: relative;
`;
exports.TabNav = styled_components_1.default.div `
  display: flex;
`;
exports.ButtonTab = styled_components_1.default.button `
  padding: 15px;
  text-align: center;
  width: 16em;
  cursor: pointer;
  box-sizing: content-box;
  position: relative;
  outline: none;
  background: '#f4f4f4';
  margin: 0 2px;
  color: '#464c57';
  border: none;

  display: flex;
  flex-direction: column;

  ${({ isActive }) => isActive &&
    styled_components_1.css `
      background: #e3e3e7;
      border-bottom: 1px solid transparent;
    `}
`;
exports.ContentTabs = styled_components_1.default.div `
  flex-grow: 1;
`;
exports.Tab = styled_components_1.default.div `
  background: white;
  width: 100%;
  height: 100%;
  display: none;

  ${({ isActive }) => isActive &&
    styled_components_1.css `
      display: block;
      background: #e3e3e7;
    `}
`;
//# sourceMappingURL=styles.js.map