"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.AccordionProduct = void 0;
const react_1 = __importStar(require("react"));
const IconSummary_1 = require("./atoms/IconSummary");
const themes_1 = __importDefault(require("../../themes"));
const styles_1 = require("./styles");
exports.AccordionProduct = (_a) => {
    var { buttonAccordion, infoProductAccordion, children } = _a, rest = __rest(_a, ["buttonAccordion", "infoProductAccordion", "children"]);
    const [enlarge, setEnlarge] = react_1.useState(false);
    const [control, setControl] = react_1.useState(false);
    const handleChangeState = () => {
        setControl(!control);
        setEnlarge(!enlarge);
    };
    return (react_1.default.createElement(themes_1.default, Object.assign({}, rest),
        react_1.default.createElement(styles_1.AccordionUi, { expanded: control },
            react_1.default.createElement(styles_1.Summary, null,
                infoProductAccordion,
                buttonAccordion,
                react_1.default.createElement(styles_1.Container, { onClick: handleChangeState }, enlarge ? (react_1.default.createElement(IconSummary_1.IconSummary, { type: "up", content: "fechar detalhes" })) : (react_1.default.createElement(IconSummary_1.IconSummary, { type: "down", content: "Detalhes" })))),
            enlarge && react_1.default.createElement(styles_1.Details, null, children))));
};
//# sourceMappingURL=AccordionProduct.js.map