"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.CustomButton = void 0;
const styled_components_1 = __importDefault(require("styled-components"));
const core_1 = require("@material-ui/core");
exports.CustomButton = styled_components_1.default(core_1.Button) `
  color: ${(props) => props.theme.lib.colors.secondary.white};
  background-color: ${(props) => props.theme.lib.colors.primary.shuttleGray};
  padding: 10px 30px;

  &:disabled {
    color: ${(props) => props.theme.lib.colors.secondary.white};
    cursor: ${(props) => (props.disabled ? 'not-allowed' : 'default')};
  }

  cursor: ${(props) => (props.disabled ? 'not-allowed' : 'default')};

  &:hover {
    color: ${(props) => props.theme.lib.colors.secondary.white};
    background-color: ${(props) => props.theme.lib.colors.primary.shuttleGray};
  }
`;
//# sourceMappingURL=styles.js.map