"use strict";
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Message = void 0;
const react_1 = __importDefault(require("react"));
const themes_1 = __importDefault(require("../../../../themes"));
const styles_1 = require("./styles");
exports.Message = (_a) => {
    var { origin, sender, date, tag, text } = _a, props = __rest(_a, ["origin", "sender", "date", "tag", "text"]);
    return (react_1.default.createElement(themes_1.default, Object.assign({}, props),
        react_1.default.createElement(styles_1.MessageContainer, { messageOrigin: origin },
            react_1.default.createElement(styles_1.SenderOrigin, null),
            react_1.default.createElement(styles_1.MessageBubble, { messageOrigin: origin },
                react_1.default.createElement(styles_1.MessageHeader, null,
                    react_1.default.createElement("span", null, sender),
                    react_1.default.createElement("span", null, date)),
                react_1.default.createElement(styles_1.MessageBody, { dangerouslySetInnerHTML: {
                        __html: text,
                    } }),
                react_1.default.createElement(styles_1.MessageTag, { messageOrigin: origin }, tag)))));
};
//# sourceMappingURL=Message.js.map