"use strict";
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.InfoAttendance = void 0;
const HighlightOff_1 = __importDefault(require("@material-ui/icons/HighlightOff"));
const react_1 = __importDefault(require("react"));
const themes_1 = __importDefault(require("../../../../themes"));
const styles_1 = require("./styles");
exports.InfoAttendance = (_a) => {
    var { infoAttendance, closeAttendance, seeAttendance, index, children } = _a, rest = __rest(_a, ["infoAttendance", "closeAttendance", "seeAttendance", "index", "children"]);
    return (react_1.default.createElement(themes_1.default, Object.assign({}, rest),
        react_1.default.createElement(styles_1.Container, { status: infoAttendance.status },
            react_1.default.createElement(styles_1.Block, { onClick: () => seeAttendance(infoAttendance, index) },
                react_1.default.createElement(styles_1.TitleAttendance, null, infoAttendance.customer),
                react_1.default.createElement(styles_1.Text, null, children)),
            react_1.default.createElement(styles_1.ButtonCloseAttendance, { onClick: () => closeAttendance(infoAttendance) },
                react_1.default.createElement(HighlightOff_1.default, null)))));
};
//# sourceMappingURL=InfoAttendance.js.map