import { IRobot } from '../../utils/types/robot';
export interface IUserProps {
    name: string;
}
export declare enum TabStatus {
    VISIBLE = 0,
    HIDDEN = 1
}
export interface IInfoAttendanceProps {
    customer: string;
    status: TabStatus;
    key: string;
}
export interface IHeaderProps extends IRobot {
    infoAttendance: IInfoAttendanceProps[];
    user: IUserProps;
    appearButtonAdd: boolean;
    addAttendance(): void;
    closeAttendance(data: IInfoAttendanceProps): void;
    seeAttendance(data: IInfoAttendanceProps, index: number): void;
}
//# sourceMappingURL=types.d.ts.map