"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Li = exports.Ul = exports.H2 = exports.LiTitle = void 0;
const styled_components_1 = __importStar(require("styled-components"));
exports.LiTitle = styled_components_1.default.li `
  list-style: none;
  width: 290px;
  height: 150px;
`;
exports.H2 = styled_components_1.default.h2 `
  padding-top: 100px;
  padding-left: 20;
  font-size: 16px;
`;
exports.Ul = styled_components_1.default.ul `
  width: 100%;
  margin: 7px 25px 0px 5px;
`;
exports.Li = styled_components_1.default.li `
  display: flex;
  justify-content: start;
  align-items: center;
  list-style: none;
  height: 58px;

  div {
    text-decoration: none;
    color: #707070;
    font-size: 14px;
    width: 290px;
    height: 100%;
    display: flex;
    align-items: center;
    padding: 0 16px;
    cursor: pointer;

    ${(props) => props.isActive
    ? styled_components_1.css `
            border-left: 3px solid #395383;
          `
    : styled_components_1.css `
            border-left: 3px solid #f4f4f4;
          `}

    background: ${({ background, theme }) => background % 2 === 0 ? '#f4f4f4' : '#fff'};

    svg {
      color: #395383;
    }

    span {
      margin-left: 16px;
    }

    &:hover {
      color: #395383;
    }
  }
`;
//# sourceMappingURL=styles.js.map