/// <reference types="react" />
import { ButtonProps as ButtonPropsUI } from '@material-ui/core/Button';
import { IRobot } from 'utils/types/robot';
export declare type Variant = 'text' | 'outlined' | 'contained' | undefined;
export interface IButtonProps extends ButtonPropsUI, IRobot {
    variant?: Variant;
    icon?: JSX.Element;
    background?: string;
    color_text?: string;
    border?: string;
    children: string;
    background_hover?: string;
    color_text_hover?: string;
}
//# sourceMappingURL=types.d.ts.map