"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.TextResult = exports.Button = exports.Container = void 0;
const styled_components_1 = __importDefault(require("styled-components"));
const Container = styled_components_1.default.div `
  grid-area: countButtons;
  position: relative;
  display: flex;
  height: 20px;
  box-sizing: content-box;
`;
exports.Container = Container;
const Button = styled_components_1.default.button `
  padding: 0;
  margin: 0;
  border: none;
  outline: none;
  background: none;

  transition: 0.15s all;
  cursor: pointer;
  height: 100%;
  width: 18px;
  border-radius: 1.5px;
  border: 1px solid ${(props) => props.theme.lib.colors.secondary.mischka};

  &:hover {
    opacity: 0.6;
  }
`;
exports.Button = Button;
const TextResult = styled_components_1.default.div `
  padding: 0;
  margin: 0;
  border: none;
  outline: none;
  background: none;

  display: flex;
  align-items: center;
  justify-content: center;
  font-family: Roboto, sans-serif;
  font-style: normal;
  font-weight: 500;
  font-size: 14px;
  text-align: center;
  color: ${(props) => props.theme.lib.colors.primary.mako};
  box-sizing: content-box;

  width: 18px;
  height: 18px;
  border: 1px solid ${(props) => props.theme.lib.colors.secondary.mischka};
`;
exports.TextResult = TextResult;
//# sourceMappingURL=styles.js.map