"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Pagination = void 0;
const react_1 = __importStar(require("react"));
const themes_1 = __importDefault(require("../../themes"));
const styles_1 = require("./styles");
exports.Pagination = (_a) => {
    var { pagesNumber, currentPage, onChange, initOnZero } = _a, rest = __rest(_a, ["pagesNumber", "currentPage", "onChange", "initOnZero"]);
    const getBegin = () => {
        return 1;
    };
    const getEnd = () => {
        if (pagesNumber) {
            return Math.ceil(pagesNumber);
        }
        return 1;
    };
    const resolvePattern = (page) => {
        if (initOnZero) {
            return page - 1;
        }
        return page;
    };
    const getPages = react_1.useCallback(() => {
        const pages = [];
        for (let numberPage = getBegin(); numberPage <= getEnd(); numberPage = numberPage + 1) {
            pages.push(react_1.default.createElement(styles_1.Page, { key: `total-page-${pagesNumber}-current-${resolvePattern(numberPage)}`, active: resolvePattern(numberPage) === currentPage, onClick: () => onChange(resolvePattern(numberPage)) }, numberPage));
        }
        return pages;
    }, [pagesNumber, currentPage]);
    return (react_1.default.createElement(themes_1.default, Object.assign({}, rest),
        react_1.default.createElement(styles_1.Wrap, null,
            react_1.default.createElement(styles_1.Container, null, getPages()))));
};
//# sourceMappingURL=Pagination.js.map