"use strict";
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.TextArea = void 0;
const react_1 = __importDefault(require("react"));
const themes_1 = __importDefault(require("../../themes"));
const styles_1 = require("./styles");
exports.TextArea = (_a) => {
    var { name, value, rows = 10, label, placeholder = '', id, onChange, onBlur, className, maxLength, onClick } = _a, rest = __rest(_a, ["name", "value", "rows", "label", "placeholder", "id", "onChange", "onBlur", "className", "maxLength", "onClick"]);
    return (react_1.default.createElement(themes_1.default, null,
        react_1.default.createElement(styles_1.Wrap, { className: className },
            label ? react_1.default.createElement(styles_1.Label, null, label) : react_1.default.createElement("div", null),
            react_1.default.createElement(styles_1.TextareaElement, Object.assign({ name: name, value: value, placeholder: placeholder, rows: rows, onChange: onChange, onBlur: onBlur, id: id, maxLength: maxLength, onClick: onClick }, rest)),
            maxLength && value ? (react_1.default.createElement(styles_1.LabelLength, null,
                maxLength - value.length,
                " Caracteres Restantes")) : (react_1.default.createElement("div", null)))));
};
//# sourceMappingURL=Textarea.js.map