import { ChangeEvent, FocusEvent, MouseEvent } from 'react';
import { IRobot } from 'utils/types/robot';
export interface ITextAreaProps extends IRobot {
    name: string;
    value?: string;
    rows?: number;
    disabled?: boolean;
    label?: string;
    placeholder?: string;
    id: string;
    className?: string;
    style?: React.CSSProperties;
    maxLength?: number;
    onChange: (e: ChangeEvent<HTMLTextAreaElement>) => void;
    onBlur?: (e: FocusEvent<HTMLTextAreaElement>) => void;
    onClick?: (e: MouseEvent<HTMLTextAreaElement>) => void;
}
//# sourceMappingURL=types.d.ts.map