"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.DetailAction = exports.TableRowDetail = exports.TableCellDetail = exports.TableRowPrimary = void 0;
const core_1 = require("@material-ui/core");
const styled_components_1 = __importStar(require("styled-components"));
exports.TableRowPrimary = styled_components_1.default(core_1.TableRow) `
  height: 50px;
  width: 100%;
`;
exports.TableCellDetail = styled_components_1.default(core_1.TableCell) `
  && {
    padding-top: 0px;
    padding-bottom: 0px;
    &:first-child {
      padding-left: 0px;
    }
    &:last-child {
      padding-right: 0px;
    }
    border-bottom: none;
  }
`;
exports.TableRowDetail = styled_components_1.default(core_1.TableRow) `
  && {
    ${(props) => props.active === 'true'
    ? false
    : true &&
        styled_components_1.css `
            border: none;
          `}
    background-color: ${(props) => props.theme.lib.colors.secondary.wildSand};
  }
`;
exports.DetailAction = styled_components_1.default(core_1.Button) `
  && {
    font-size: 12px;
    padding: 0px;
    color: ${(props) => props.theme.lib.colors.primary.shuttleGray};

    :hover {
      background: unset;
    }
  }
`;
//# sourceMappingURL=styles.js.map