"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Details = exports.Order = exports.Container = void 0;
const styled_components_1 = __importDefault(require("styled-components"));
exports.Container = styled_components_1.default.div `
  display: flex;
  flex-direction: column;
  row-gap: 9px;
`;
exports.Order = styled_components_1.default.div `
  background: ${(props) => props.theme.lib.colors.primary.shuttleGray};
  color: ${(props) => props.theme.lib.colors.secondary.white};
  font-size: 14px;
  font-style: normal;
  font-weight: 500;
  border-radius: 3px;
  text-align: center;
  line-height: 16, 41px;
  padding: 8px 0;
`;
exports.Details = styled_components_1.default.div `
  padding: 23px;
  border: 1px solid #d6d8d9;
  border-radius: 3px;
`;
//# sourceMappingURL=styles.js.map