"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Tabs = void 0;
const react_1 = __importStar(require("react"));
const themes_1 = __importDefault(require("../../themes"));
const styles_1 = require("./styles");
exports.Tabs = (_a) => {
    var { tabsContent } = _a, rest = __rest(_a, ["tabsContent"]);
    const [toggleState, setToggleState] = react_1.useState(1);
    const toggleTab = (index) => {
        setToggleState(index);
    };
    return (react_1.default.createElement(themes_1.default, Object.assign({}, rest),
        react_1.default.createElement(styles_1.Container, null,
            react_1.default.createElement(styles_1.TabNav, null, tabsContent.map(({ key, title, subTitle }) => (react_1.default.createElement(styles_1.ButtonTab, { id_robot: String(key), key: key, isActive: toggleState === key, onClick: () => toggleTab(key) },
                react_1.default.createElement("p", null, title),
                react_1.default.createElement("span", null, subTitle))))),
            react_1.default.createElement(styles_1.ContentTabs, null, tabsContent.map(({ key, content }) => (react_1.default.createElement(styles_1.Tab, { id_robot: String(key), key: key, isActive: toggleState === key }, content)))))));
};
//# sourceMappingURL=Tabs.js.map