"use strict";
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Accordion = void 0;
const react_1 = __importDefault(require("react"));
const IconSummary_1 = require("./atoms/IconSummary");
const styles_1 = require("./styles");
const themes_1 = __importDefault(require("../../themes"));
exports.Accordion = (_a) => {
    var { title, id, handleExpanded, children, expanded } = _a, rest = __rest(_a, ["title", "id", "handleExpanded", "children", "expanded"]);
    return (react_1.default.createElement(themes_1.default, Object.assign({}, rest),
        react_1.default.createElement(styles_1.AccordionUi, { expanded: expanded, onChange: () => handleExpanded() },
            react_1.default.createElement(styles_1.Summary, { "aria-controls": "panel1a-content", id: id },
                react_1.default.createElement("div", null,
                    react_1.default.createElement(styles_1.Title, null, title)),
                expanded ? (react_1.default.createElement(IconSummary_1.IconSummary, { type: "up", content: "fechar informa\u00E7\u00F5es" })) : (react_1.default.createElement(IconSummary_1.IconSummary, { type: "down", content: "abrir informa\u00E7\u00F5es" }))),
            react_1.default.createElement(styles_1.Details, null, children))));
};
//# sourceMappingURL=Accordion.js.map