"use strict";
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ChatButton = void 0;
const react_1 = __importDefault(require("react"));
const themes_1 = __importDefault(require("../../../../themes"));
const icons_1 = require("@material-ui/icons");
const styles_1 = require("./styles");
exports.ChatButton = (_a) => {
    var { onClick, variant, icon, disabled, id, children } = _a, props = __rest(_a, ["onClick", "variant", "icon", "disabled", "id", "children"]);
    return (react_1.default.createElement(themes_1.default, null,
        react_1.default.createElement(styles_1.CustomButton, Object.assign({ id: id, startIcon: icon !== null && icon !== void 0 ? icon : react_1.default.createElement(icons_1.Send, null), variant: variant, onClick: onClick, disabled: disabled }, props), children)));
};
//# sourceMappingURL=ChatButton.js.map