import { Key, CSSProperties, MouseEventHandler, ReactNode } from 'react';
import { IRobot } from 'utils/types/robot';
export interface IProps extends IRobot {
    onClick: MouseEventHandler<HTMLButtonElement>;
    variant?: 'text' | 'outlined' | 'contained';
    icon?: ReactNode;
    disabled?: boolean;
    style?: CSSProperties;
    id: string;
    key?: Key;
    children?: ReactNode;
}
//# sourceMappingURL=types.d.ts.map