import { Key, CSSProperties, MouseEventHandler } from 'react';
import { IRobot } from 'utils/types/robot';
export interface IProps extends IRobot {
    id: string;
    origin: 'received' | 'sent';
    sender: string;
    date: Date | string;
    tag: string;
    text: string;
    style?: CSSProperties;
    onClick?: MouseEventHandler<HTMLDivElement>;
    key?: Key;
}
export interface IMessageType {
    messageOrigin: 'sent' | 'received';
}
//# sourceMappingURL=types.d.ts.map