"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.HistoryMessages = exports.MessageBox = exports.CommentsContainer = void 0;
const styled_components_1 = __importDefault(require("styled-components"));
exports.CommentsContainer = styled_components_1.default.div `
  margin: 5px;
  padding: 20px 20px 20px 20px;
  border-radius: 5px;
  border: solid 1px ${(props) => props.theme.lib.colors.grayScale.bombay};
`;
exports.MessageBox = styled_components_1.default.div `
  width: 100%;
  height: 750px;
  border-radius: 3px;
  background-color: ${(props) => props.theme.lib.colors.secondary.white};
`;
exports.HistoryMessages = styled_components_1.default.div `
  width: 100%;
  height: 550px;
  margin-bottom: 20px;
  overflow-y: auto;
`;
//# sourceMappingURL=styles.js.map