"use strict";
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Header = void 0;
const react_1 = __importDefault(require("react"));
const themes_1 = __importDefault(require("../../themes"));
const atoms_1 = require("./atoms");
const molecules_1 = require("./molecules");
const molecules_2 = require("./molecules");
const styles_1 = require("./styles");
exports.Header = (_a) => {
    var { user, infoAttendance, appearButtonAdd, addAttendance, closeAttendance, seeAttendance } = _a, rest = __rest(_a, ["user", "infoAttendance", "appearButtonAdd", "addAttendance", "closeAttendance", "seeAttendance"]);
    return (react_1.default.createElement(themes_1.default, Object.assign({}, rest),
        react_1.default.createElement(styles_1.Container, null,
            react_1.default.createElement(styles_1.Div, null,
                infoAttendance.map((info, index) => (react_1.default.createElement("div", { key: info.key },
                    react_1.default.createElement(molecules_1.InfoAttendance, { index: index, closeAttendance: closeAttendance, seeAttendance: seeAttendance, infoAttendance: info }, "Atendimento")))),
                appearButtonAdd && (react_1.default.createElement(atoms_1.ButtonAddAttendance, { addAttendance: () => addAttendance() }))),
            react_1.default.createElement(molecules_2.User, { name: user.name }))));
};
//# sourceMappingURL=Header.js.map