"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Text = exports.ButtonAddNewAttendance = exports.AddNewAttendanceContainer = void 0;
const styled_components_1 = __importDefault(require("styled-components"));
const AddNewAttendanceContainer = styled_components_1.default.div `
  max-width: 6.375rem;
  background-color: ${({ theme }) => theme.lib.colors.primary.shuttleGray};
  position: relative;

  height: 100%;
  display: flex;
  align-items: center;
  justify-content: center;

  @media screen and (max-width: 599px) {
    grid-column-start: 1;
    grid-column-end: 3;
  }
`;
exports.AddNewAttendanceContainer = AddNewAttendanceContainer;
const ButtonAddNewAttendance = styled_components_1.default.button `
  height: 100%;
  border: 0;
  outline: none;
  background: transparent;
  cursor: pointer;
  transition: all 0.25s;
  display: flex;
  align-items: center;

  svg {
    font-size: 16px;
    color: ${({ theme }) => theme.lib.colors.secondary.white};
    margin-right: 0.1rem;
  }
`;
exports.ButtonAddNewAttendance = ButtonAddNewAttendance;
const Text = styled_components_1.default.span `
  font-family: Roboto, sans-serif;
  font-size: 16px;
  line-height: 19px;
  color: ${({ theme }) => theme.lib.colors.secondary.white};
`;
exports.Text = Text;
//# sourceMappingURL=styles.js.map