"use strict";
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const styles_1 = require("@material-ui/styles");
const react_1 = __importDefault(require("react"));
const styled_components_1 = require("styled-components");
const defaultTheme_1 = __importDefault(require("./defaultTheme"));
const global_1 = __importDefault(require("./global"));
const Theme = (_a) => {
    var { children } = _a, rest = __rest(_a, ["children"]);
    return (react_1.default.createElement(styles_1.StylesProvider, null,
        react_1.default.createElement(styled_components_1.ThemeProvider, { theme: defaultTheme_1.default },
            react_1.default.createElement("div", Object.assign({}, rest), children),
            react_1.default.createElement(global_1.default, null))));
};
exports.default = Theme;
//# sourceMappingURL=index.js.map